<?xml version="1.0" encoding="utf-8"?>
<collection>

<spec_type>
  <kind>
      common_env
  </kind>

  <init_code>
      g_type_init();
  </init_code>

  <libs>
      libgobject-2.0.so
  </libs>

  <global_code>
      #include <gobject.h>
  </global_code>
</spec_type>

<spec_type>
  <kind>
      common_param
  </kind>

  <data_type>
      AtkHyperlinkImpl*
  </data_type>

  <value>
      ATK_HYPERLINK_IMPL($(AtkObject*))
  </value>

  <global_code>
      #include <atkhyperlinkimpl.h>
  </global_code>
</spec_type>



<spec_type>
  <kind>
      common_param
  </kind>

  <data_type>
      AtkAction*
  </data_type>

  <value>
      ATK_ACTION($(AtkObject*))
  </value>

  <global_code>
      #include <atkaction.h>
  </global_code>
</spec_type>

<spec_type>
  <kind>
      common_param
  </kind>

  <data_type>
      AtkText*
  </data_type>

  <value>
      ATK_TEXT($(AtkObject*))
  </value>

  <global_code>
      #include <atktext.h>
  </global_code>
</spec_type>

<spec_type>
  <kind>
      common_param
  </kind>

  <data_type>
      AtkComponent*
  </data_type>

  <value>
      ATK_COMPONENT($(AtkObject*))
  </value>

  <global_code>
      #include <atkcomponent.h>
  </global_code>
</spec_type>

<spec_type>
  <kind>
      common_param
  </kind>

  <data_type>
      AtkDocument*
  </data_type>

  <value>
      ATK_DOCUMENT($(AtkObject*))
  </value>

  <global_code>
      #include <atkdocument.h>
  </global_code>
</spec_type>

<spec_type>
  <kind>
      common_param
  </kind>

  <data_type>
      AtkEditableText*
  </data_type>

  <value>
      ATK_EDITABLE_TEXT($(AtkObject*))
  </value>

  <global_code>
      #include <atkeditabletext.h>
  </global_code>
</spec_type>

<spec_type>
  <kind>
      common_param
  </kind>

  <data_type>
      AtkHyperlink*
  </data_type>

  <value>
      ATK_HYPERLINK($(AtkObject*))
  </value>

  <global_code>
      #include <atkhyperlink.h>
  </global_code>
</spec_type>

<spec_type>
  <kind>
      common_param
  </kind>

  <data_type>
      AtkHypertext*
  </data_type>

  <value>
      ATK_HYPERTEXT($(AtkObject*))
  </value>

  <global_code>
      #include <atkhypertext.h>
  </global_code>
</spec_type>

<spec_type>
  <kind>
      common_param
  </kind>

  <data_type>
      AtkImage*
  </data_type>

  <value>
      ATK_IMAGE($(AtkObject*))
  </value>

  <global_code>
      #include <atkimage.h>
  </global_code>
</spec_type>

<spec_type>
  <kind>
      common_param
  </kind>

  <data_type>
      AtkImplementor*
  </data_type>

  <value>
      ATK_IMPLEMENTOR($(AtkObject*))
  </value>

  <global_code>
      #include <atkobject.h>
  </global_code>
</spec_type>

<spec_type>
  <kind>
      common_param
  </kind>

  <data_type>
      AtkPlug*
  </data_type>

  <value>
      ATK_PLUG($(AtkObject*))
  </value>

  <global_code>
      #include <atkplug.h>
  </global_code>
</spec_type>

<spec_type>
  <kind>
      common_param
  </kind>

  <data_type>
      AtkSelection*
  </data_type>

  <value>
      ATK_SELECTION($(AtkObject*))
  </value>

  <global_code>
      #include <atkselection.h>
  </global_code>
</spec_type>

<spec_type>
  <kind>
      common_param
  </kind>

  <data_type>
      AtkStreamableContent*
  </data_type>

  <value>
      ATK_STREAMABLE_CONTENT($(AtkObject*))
  </value>

  <global_code>
      #include <atkstreamablecontent.h>
  </global_code>
</spec_type>

<spec_type>
  <kind>
      common_param
  </kind>

  <data_type>
      AtkTable*
  </data_type>

  <value>
      ATK_TABLE($(AtkObject*))
  </value>

  <global_code>
      #include <atktable.h>
  </global_code>
</spec_type>

<spec_type>
  <kind>
      common_param
  </kind>

  <data_type>
      AtkGObjectAccessible*
  </data_type>

  <value>
      ATK_GOBJECT_ACCESSIBLE($(AtkObject*))
  </value>

  <global_code>
      #include <atkgobjectaccessible.h>
  </global_code>
</spec_type>

<spec_type>
  <kind>
      common_param
  </kind>

  <data_type>
      AtkValue*
  </data_type>

  <value>
      ATK_VALUE($(AtkObject*))
  </value>

  <global_code>
      #include <atkvalue.h>
  </global_code>
</spec_type>

<spec_type>
  <kind>
      common_param
  </kind>

  <data_type>
      GObject*
  </data_type>

  <value>
      g_object_new(G_TYPE_OBJECT, NULL)
  </value>

  <global_code>
      #include <glib.h>
  </global_code>
</spec_type>

<spec_type>
  <kind>
      common_param
  </kind>

  <data_type>
      GValue*
  </data_type>

  <value>
      $[g_value_array_get_nth]
  </value>
</spec_type>

<spec_type>
  <kind>
      normal
  </kind>

  <data_type>
      guint
  </data_type>

  <value>
      $[atk_add_key_event_listener]
  </value>
  <associating>
      <interfaces>
          atk_remove_key_event_listener
      </interfaces>
      <links>
          param1
      </links>
  </associating>
</spec_type>

</collection>
