<?xml version="1.0" encoding="utf-8"?>

<spec_type>
  <lib_version>
      <=2.8.1
  </lib_version>
  <kind>
      common_env
  </kind>

  <init_code>
      g_type_init();
  </init_code>

  <libs>
      libgobject-2.0.so
  </libs>

  <global_code>
      #include <glib-object.h>
  </global_code>
</spec_type>

<spec_type>
  <lib_version>
      >=2.9.5
  </lib_version>
  <kind>
      common_env
  </kind>

  <init_code>
      $[rsvg_init];
  </init_code>

  <global_code>
      #include <rsvg.h>
  </global_code>
</spec_type>

<spec_type>
  <kind>
      normal
  </kind>

  <data_type>
      gchar const*
  </data_type>

  <value>
      "[('one', 1), ('two', %i), (%s, 3)]"
  </value>

  <associating>
      <interfaces>
          g_variant_new_parsed_va
          g_variant_new_parsed
      </interfaces>
    
      <links>
          param1
      </links>
  </associating>
</spec_type>
