<?xml version="1.0" encoding="utf-8"?>

<spec_type>
  <kind>
      normal
  </kind>

  <data_type>
      gss_channel_bindings_t
  </data_type>

  <value>
      GSS_C_NO_CHANNEL_BINDINGS
  </value>
  
  <associating>
    <interfaces>
        gss_init_sec_context
    </interfaces>
    <links>
        param8
    </links>
  </associating>
</spec_type>

<spec_type>
  <kind>
      normal
  </kind>

  <data_type>
      gss_buffer_t
  </data_type>

  <value>
      GSS_C_NO_BUFFER
  </value>
  
  <associating>
    <interfaces>
        gss_init_sec_context
    </interfaces>
    <links>
        param9
    </links>
  </associating>
</spec_type>

<spec_type>
  <kind>
      common_param
  </kind>

  <data_type>
      gss_OID
  </data_type>

  <value>
      GSS_C_NO_OID
  </value>
</spec_type>

<spec_type>
  <kind>
      normal
  </kind>

  <data_type>
      OM_uint32
  </data_type>

  <value>
      GSS_C_REPLAY_FLAG
  </value>
  
  <associating>
    <interfaces>
        gss_init_sec_context
    </interfaces>
    <links>
        param6
    </links>
  </associating>
</spec_type>

<spec_type>
  <kind>
      normal
  </kind>

  <data_type>
      gss_cred_usage_t
  </data_type>

  <value>
      GSS_C_ACCEPT
  </value>
  
  <associating>
    <interfaces>
        gss_acquire_cred
    </interfaces>
    <links>
        param5
    </links>
  </associating>
</spec_type>

<spec_type>
  <kind>
      normal
  </kind>

  <data_type>
      gss_OID_set const
  </data_type>

  <value>
      GSS_C_NO_OID_SET
  </value>
  
  <associating>
    <interfaces>
        gss_acquire_cred
    </interfaces>
    <links>
        param4
    </links>
  </associating>
</spec_type>